Loading...
Searching...
No Matches
QGpgME::QGpgMEExportJob Class Reference
Inheritance diagram for QGpgME::QGpgMEExportJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEExportJob:
[legend]

## Public Member Functions

| QGpgMEExportJob (GpgME::Context *context)
| QGpgMEExportJob (GpgME::Context *context, unsigned int exportMode)
void | setExportFlags (unsigned int flags) override
GpgME::Error | start (const QStringList &patterns) override
GpgME::Error | exec (const QStringList &patterns, QByteArray &data) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ExportJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< ExportJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > >
typedef ThreadedJobMixin< ExportJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::ExportJob
void | result (const GpgME::Error &result, const QByteArray &keyData, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ExportJob, void, std::tuple< GpgME::Error, QByteArray, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::ExportJob
| ExportJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

Error QGpgMEExportJob::exec | ( | const QStringList & | patterns,
|  | QByteArray & | data )

override virtual

Starts the export operation synchronously, otherwise behaves identical to ExportJob::start

Reimplemented from QGpgME::ExportJob.

## setExportFlags()

void QGpgMEExportJob::setExportFlags | ( | unsigned int | flags | ) |

override virtual

Reimplemented from QGpgME::ExportJob.

## start()

Error QGpgMEExportJob::start | ( | const QStringList & | patterns | ) |

override virtual

Starts the export operation. patterns is a list of patterns used to restrict the list of keys exported. Empty patterns are ignored. If patterns is empty or contains only empty strings, all available keys are exported.

Implements QGpgME::ExportJob.

The documentation for this class was generated from the following files:

- qgpgmeexportjob.h
- qgpgmeexportjob.cpp